<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Speaker\Models\Speaker;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('speaker.index')
    ->setColumns(static function () {
        return [
            TextColumn::make('First name')->default()->searchable(),
            TextColumn::make('Last name')->default()->searchable(),
            TextColumn::make('Email')->default()->searchable(),
        ];
    })
    ->setRowAction(static function (Speaker $speaker) {
        return ButtonDropdown::make('Manage speaker')
            ->actions([
                Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.speaker.show', [
                        'speaker' => $speaker->id,
                    ]),
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.speaker.edit', [
                        'speaker' => $speaker->id,
                    ]),
            ]);
    });
